MINIMUM_SPECIAL_NAME_PARTS = 2


def format_pokemon_name(name):
    parts = [part.capitalize() for part in name.split("_")]
    if parts[-1] == "Mega" or parts[-1] == "Primal":
        parts = [parts[-1]] + parts[:-1]
    if len(parts) > MINIMUM_SPECIAL_NAME_PARTS and parts[-2] == "Mega":
        parts = [parts[-2]] + parts[:-2] + [parts[-1]]
    if len(parts) > MINIMUM_SPECIAL_NAME_PARTS and parts[-2] == "Shadow":
        parts = [parts[-2]] + parts[:-2]
    return " ".join(parts)


def format_move_name(name):
    parts = [part.capitalize() for part in name.split("_")]
    if parts[-1] == "Fast":
        parts = parts[:-1]
    return " ".join(parts)
